#ifndef __POOL_H__
#define __POOL_H__

struct mempoolblock	{
	char *base;
	int entries;
	struct mempoolblock *next;
};
#define NULLPOOLBLK ((struct mempoolblock *)0)

struct mempool	{
	struct mempoolblock *top;
	struct mempoolblock *bottom;
	int index;
	int size;
	int numentries;
};


void *pool_alloc __ARGS((struct mempool *pool));
void pool_free __ARGS((struct mempool *pool));

#endif /* __POOL_H__ */
